print {base} | R Documentation

## Print Values

### Description

`print` prints its argument and returns it invisibly (via `invisible(x)`). It is a generic function which means that new printing methods can be easily added for new `class`es.

### Usage

    print(x, ...)

    print.factor(x, quote = FALSE)
    print.ordered(x, quote = FALSE)

### Details

The default method, `print.default` has its own help page. Use `methods("print")` to get all the methods for the `print` generic.

See `noquote` as an example of a class whose main purpose is a specific `print` method.

### See Also

The default method `print.default`, and help for the methods above; further `options`, `noquote`.

### Examples

    ts(1:20)#-- print  is the ``Default function'' --> print.ts(.) is called
    rr <- for(i in 1:3) print(1:i)
    rr

[Package Contents]